# clear environment and load relevant libraries
rm(list=ls())
library(lme4)
library(lmerTest)

# load the data file (must be in the current directory)
Data = read.csv("Expt2_Data.csv")

# Deviation-code 3-level predictor with SpeechType = NS (narrative) as intercept reference, and 2-level predictor AttachmentType
Data$DS = scale(ifelse(Data$SpeechType=="DS",1,0),scale=F)
Data$IS = scale(ifelse(Data$SpeechType=="IS",1,0),scale=F)
Data$Att = scale(ifelse(Data$AttachmentType=="LA",1,0),scale=F)

# fitting a lmm of readability rating
model = lmer(ReadabilityRating ~ DS*Att + IS*Att + (1 + DS*Att + IS*Att||Subj) + (1 + DS*Att + IS*Att||Item), data = Data)
summary(model)

# End of script